SpinnyBird.MenuScreen = function (game) {
};

SpinnyBird.MenuScreen.prototype = {

    preload: function () {

    },

    create: function () {

      Mousetrap.reset();

      /* gameplay variables */
      this.birdAngle = 0;
      this.birdVelocity = 0;
      this.birdAngularVelocity = 0;
      // SpinnyBird.setHero('star',64);
      this.bird = this.add.sprite(0, 240, 'hero-'+SpinnyBird.getHero());
      this.bird.animations.add('bye', [0,1,2,3,4,5,6,7], 12.5);
      this.bird.animations.add('hover', [0], 12.5);
      this.bird.animations.add('fly', Phaser.ArrayUtils.numberArray(8, this.bird.animations.frameTotal-1), 12.5, true);
      this.bird.scale.setTo(2, 2);
      this.bird.anchor.setTo(0.5, 0.5);
      this.bird.angle = this.birdAngle;
      this.bird.alpha = 0;
      var t = this.add.tween(this.bird).to({alpha:1, x:240}, 400, Phaser.Easing.Quadratic.In, true);
      this.physics.arcade.enable(this.bird);
      this.bird.body.allowGravity = false;
      this.bird.animations.play('fly');

      this.gameTitle = this.add.image(240, 0, 'spinny-title');
      this.gameTitle.anchor.setTo(0.5,0.5);
      this.gameTitle.alpha = 0;
      this.add.tween(this.gameTitle).to({alpha:1, y:96}, 400, Phaser.Easing.Quadratic.In, true, 0);

      this.btnPlay = this.add.button(240, 480, 'sprite-play', this.btnPlayHandler, this, 0, 0, 1);
      this.btnPlay.anchor.setTo(0.5, 0.5);
      this.btnPlay.alpha = 0;
      this.add.tween(this.btnPlay).to({alpha:1, y:436}, 400, Phaser.Easing.Quadratic.In, true, 0);

      this.btnSound = this.add.sprite(140, 480, 'sprite-sound');
      this.btnSound.anchor.setTo(0.5, 0.5);
      this.btnSound.alpha = 0;
      this.add.tween(this.btnSound).to({alpha:1, y:436}, 400, Phaser.Easing.Quadratic.In, true, 0);
      this.btnSound.inputEnabled = true;
      this.btnSound.input.useHandCursor = true;
      if(SpinnyBird.soundEnabled) { this.btnSound.frame = 2; }
      else { this.btnSound.frame = 0; }
      this.btnSound.events.onInputDown.add(function() {
        this.btnSound.frame += 1;
      }, this);
      this.btnSound.events.onInputUp.add( this.btnToggleSoundHandler, this );

      Mousetrap.bind('1', () => { this.btnToggleSoundHandler(); }, 'keyup');

      this.btnLeaderboard = this.add.sprite(180, 480, 'sprite-trophy');
      this.btnLeaderboard.anchor.setTo(0.5, 0.5);
      this.btnLeaderboard.alpha = 0;
      this.add.tween(this.btnLeaderboard).to({alpha:1, y:386}, 400, Phaser.Easing.Quadratic.In, true, 0);
      this.btnLeaderboard.inputEnabled = true;
      this.btnLeaderboard.input.useHandCursor = true;
      this.btnLeaderboard.events.onInputDown.add(function() {
        this.btnLeaderboard.frame = 1;
      }, this);
      this.btnLeaderboard.events.onInputUp.add(this.btnLeaderboardHandler, this);

      Mousetrap.bind('2', () => { this.btnLeaderboardHandler(); }, 'keyup');

      this.btnCart = this.add.sprite(286, 480, 'sprite-cart');
      this.btnCart.anchor.setTo(0.5, 0.5);
      this.btnCart.alpha = 0;
      this.add.tween(this.btnCart).to({alpha: 1, y:386}, 400, Phaser.Easing.Quadratic.In, true, 0);
      this.btnCart.inputEnabled = true;
      this.btnCart.input.useHandCursor = true;
      this.btnCart.events.onInputDown.add(function() {
        this.btnCart.frame = 1;
      }, this);
      this.btnCart.events.onInputUp.add(this.btnCartHandler, this);

      Mousetrap.bind('3', () => { this.btnCartHandler(); }, 'keyup');

      this.btnSettings = this.add.button(340, 480, 'sprite-settings', this.btnSettingsHandler, this, 0, 0, 1);
      this.btnSettings.anchor.setTo(0.5, 0.5);
      this.btnSettings.alpha = 0;
      this.add.tween(this.btnSettings).to({alpha:1, y:436}, 400, Phaser.Easing.Quadratic.In, true, 0);

      Mousetrap.bind('4', () => { this.btnSettingsHandler(); }, 'keyup');

      Mousetrap.bind('enter', () => { this.btnPlayHandler(); }, 'keyup');

    },

    update: function() {

    },

    btnToggleSoundHandler: function() {
      var soundBool = SpinnyBird.toggleSound();
      if(soundBool) {
        this.btnSound.frame = 2;
      }
      else {
        this.btnSound.frame = 0;
      }
      SpinnyBird.playSound('click');
    },

    btnLeaderboardHandler: function() {
      this.btnLeaderboard.frame = 0;
      SpinnyBird.playSound('click');
      this.state.start('HighScoreScreen');
    },

    btnCartHandler: function() {
      this.btnCart.frame = 0;
      SpinnyBird.playSound('click');
      this.state.start('ShopScreen');
    },

    btnPlayHandler: function() {

      SpinnyBird.playSound('click');

      this.state.start('ChooseScreen');

    },

    btnSettingsHandler: function() {

      SpinnyBird.playSound('click');

      this.state.start('SettingsScreen');

    }

};